package Centro;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import javax.swing.*;
import org.omg.CosNaming.*;
import java.net.*;

//import com.sun.java.swing.UIManager;
public class SeleccionCentro extends JApplet {
  boolean isStandalone = false;
  String carroActual;
  JLabel jLabel1 = new JLabel();
  JComboBox listaCentros = new JComboBox();
  JButton jButton1 = new JButton();
  JButton jButton2 = new JButton();
  JButton jButton3 = new JButton();

	String IOR;
	FactoriaComercio factoria=null;
//Get a parameter value
  
  public String getParameter(String key, String def) {
    return isStandalone ? System.getProperty(key, def) :
      (getParameter(key) != null ? getParameter(key) : def);
  }

  //Construct the applet
  
  public SeleccionCentro() {
  }
//Initialize the applet
  
  public void init() {
    try { carroActual = this.getParameter("CarroCompra", "null"); } catch (Exception e) { e.printStackTrace(); }
    try {
    jbInit();
    }
    catch (Exception e) {
    e.printStackTrace();
    }

	IOR=getParameter("IOR");

	// Inicializo la lista de centros

	try {
		NameComponent factoriaName[] = new NameComponent[1];
		factoriaName[0]=new NameComponent("FactoriaComercio","");
		org.omg.CORBA.Object factoriaObj = ConstantesCliente.obtenerNamingContextCentro(this).resolve(factoriaName);
		factoria = FactoriaComercioHelper.narrow(factoriaObj);
	} catch (org.omg.CORBA.UserException ex) {
		System.err.println("Excepcin no esperada, finalizacin anormal");
		ex.printStackTrace();
	}
	
	String comercios[] = {};

	comercios = factoria.listarComercios();

	for (int i=0; i<comercios.length; i++)
		listaCentros.addItem(comercios[i]);
  }
  //static { 
  //  try { 
  //    //UIManager.setLookAndFeel(new com.sun.java.swing.plaf.metal.MetalLookAndFeel());
  //    //UIManager.setLookAndFeel(new com.sun.java.swing.plaf.motif.MotifLookAndFeel());
  //    UIManager.setLookAndFeel(new com.sun.java.swing.plaf.windows.WindowsLookAndFeel());
  //  }
  //  catch (Exception e) {}
  //}
//Component initialization
  
  private void jbInit() throws Exception {
    jLabel1.setText("Seleccione un centro a visitar:");
    jLabel1.setBounds(new Rectangle(45, 37, 188, 22));
    listaCentros.setBounds(new Rectangle(84, 69, 123, 22));
    jButton1.setText("Visitar");
    jButton1.setBounds(new Rectangle(115, 131, 71, 23));
    jButton1.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton1_actionPerformed(e);
      }
    });
    jButton2.setText("Realizar pedido");
    jButton2.setBounds(new Rectangle(25, 251, 132, 23));
    jButton2.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton2_actionPerformed(e);
      }
    });
    jButton3.setText("Carro");
    jButton3.setBounds(new Rectangle(312, 12, 81, 23));
    jButton3.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton3_actionPerformed(e);
      }
    });
    this.getContentPane().setLayout(null);
    this.setSize(400,300);
    this.getContentPane().add(jLabel1, null);
    this.getContentPane().add(listaCentros, null);
    this.getContentPane().add(jButton1, null);
    this.getContentPane().add(jButton2, null);
    this.getContentPane().add(jButton3, null);
  }
//Get Applet information
  
  public String getAppletInfo() {
    return "Applet Information";
  }
//Get parameter info
  
  public String[][] getParameterInfo() {
    String pinfo[][] = 
    {
      {"CarroCompra", "String", ""},
    };
    return pinfo;
  }

  void jButton3_actionPerformed(ActionEvent e) {
      // Pulsado el botn del carro de la compra
	try {
		getAppletContext().showDocument(new URL("http://" + getCodeBase().getHost()+"/cgi-bin/CarroCompra.cgi?" + IOR));		
	} catch (MalformedURLException ex) {
	}
  }

  void jButton1_actionPerformed(ActionEvent e) {
      // Pulsado el botn de visitar
	String dirWeb = factoria.direccionWeb((String)listaCentros.getSelectedItem());
	try {
		getAppletContext().showDocument(new URL(dirWeb + "?" + IOR));
	} catch (MalformedURLException ex) {
	}
  }

  void jButton2_actionPerformed(ActionEvent e) {
      // Pulsado el botn para realizar pedido
  }
}


