DROP TABLE socio;
DROP TABLE comercio_producto;
DROP TABLE comercio;
DROP TABLE producto;

CREATE TABLE socio (
	idsocio	text CONSTRAINT pk_socio PRIMARY KEY,
	clave text
	);

CREATE TABLE comercio (
	nombre text CONSTRAINT pk_comercio PRIMARY KEY,
	direccion text,
	telefono1 text,
	telefono2 text,
	fax text,
	correoElectronico text,
	direccionWeb text
	);

CREATE TABLE producto ( 
	idProducto int4 CONSTRAINT pk_producto PRIMARY KEY,
	nombre text,
	precio int4,
	caracteristicas text,
	precioOferta int4
	);

CREATE TABLE comercio_producto (
	nombre_comercio text CONSTRAINT fk_nombre_comercio REFERENCES comercio (nombre),
	idProducto int4 CONSTRAINT fk_idProducto REFERENCES producto (idProducto),
	CONSTRAINT pk_comercio_producto PRIMARY KEY (nombre_comercio, idProducto)
	);

	

