package TicTacToe;

import java.io.*;
import org.omg.CORBA.*;

public class JuegoServer {

	public static void main(String[] args) {
	   try {
		ORB orb = ORB.init(args,null);
		Juego objJuego = new JuegoImpl();
		orb.connect(objJuego);

		PrintWriter salida = new PrintWriter (new FileWriter (new File ("IOR.txt")));
		salida.print(orb.object_to_string(objJuego));
		salida.flush();
		salida.close();
		
		System.out.println("Juego listo");

		// Espero a que se pulse enter para terminar la ejecucin del servidor
		try {
			BufferedReader teclado;
			teclado = new BufferedReader(new InputStreamReader(System.in));
			String linea=teclado.readLine();
		} catch (IOException ex) {}

		System.out.println("Finalizado el juego");
	   } catch (IOException ex) {
		System.err.println("No se puede escribir el IOR en el fichero");
		ex.printStackTrace();
	   } catch (Exception ex) {
		System.err.println("No se puede crear el servidor");
		ex.printStackTrace();
	   }
	}
}