package TicTacToe;

import java.util.*;
import org.omg.CosNaming.*;
import org.omg.CORBA.*;

public class JuegoServer {

  public static void main(String[] args) {
    try {
      ORB orb = ORB.init(args,null);
      org.omg.CORBA.Object obj;
      try {
         obj = orb.resolve_initial_references("NameService");
      } catch (Exception ex) {
        System.out.println("Error: Servicio de nombres no encontrado");
        System.exit(-1);
        return;
      }
      NamingContext root_context = NamingContextHelper.narrow(obj);
      if (root_context==null) {
        System.out.println("Error: Servicio de nombres no encontrado");
        System.exit(-1);
      }
      TicTacToe.Juego implObject = new JuegoImpl(orb);
      NameComponent nombre[] = new NameComponent[1];
      nombre[0]=new NameComponent("TicTacToe","");
      NamingContext servidores;
      try {
        servidores = NamingContextHelper.narrow(root_context.resolve(nombre));
      } catch (org.omg.CosNaming.NamingContextPackage.NotFound ex) {
        servidores = root_context.bind_new_context(nombre);
      }
      int i=0;
      while (true) {
        try {
          nombre[0]=new NameComponent("Servidor" + i,"");
          servidores.bind(nombre,implObject);
          // Si lo consigue asociar termina
          break;
        } catch (org.omg.CosNaming.NamingContextPackage.AlreadyBound ex) {
          // Mientras no lo pueda asociar porque exista otro
          // servidor continua intentandolo
          i++;
          if (i==100) {
            System.out.println("Error: No se pueden tener ms de 100 servidores");
            System.exit(-1);
          }
        }
      }

      System.out.println(implObject+ " est listo. Como Servidor" + i);
      try {
        int x = System.in.read();
      } catch (Exception ex) {}
      System.out.println("Ha salido");
      servidores.unbind(nombre);
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
}