package javi.biblioteca;
public class Safelibro {
	public libro ref;
	private libroFactory factory;
	private String nombre;

	public Safelibro(libroFactory factory, String nombre, autor autorLibro, int ano) {
		this.factory = factory;
		this.nombre = nombre;
		ref = factory.getObject(nombre);
		autorLibro(autorLibro);
		ano(ano);
	}

	public Safelibro(libroFactory factory, String nombre) {
		this.factory = factory;
		this.nombre = nombre;
		ref = factory.getObject(nombre);
	}

	public Safelibro(libroFactory factory, libro ref) {
		this.factory = factory;
		this.ref = ref;
		this.nombre = nombre();
	}

	public String nombre() {
		while (true) {
			try {
				return ref.nombre();
			} catch (org.omg.CORBA.OBJECT_NOT_EXIST ex) {
				ref = factory.getObject(nombre);
			}
		}
	}

	public autor autorLibro() {
		while (true) {
			try {
				return ref.autorLibro();
			} catch (org.omg.CORBA.OBJECT_NOT_EXIST ex) {
				ref = factory.getObject(nombre);
			}
		}
	}

	public void autorLibro( autor value) {
		while (true) {
			try {
				ref.autorLibro(value);
				return;
			} catch (org.omg.CORBA.OBJECT_NOT_EXIST ex) {
				ref = factory.getObject(nombre);
				autorLibro(value);
			}
		}
	}

	public int ano() {
		while (true) {
			try {
				return ref.ano();
			} catch (org.omg.CORBA.OBJECT_NOT_EXIST ex) {
				ref = factory.getObject(nombre);
			}
		}
	}

	public void ano( int value) {
		while (true) {
			try {
				ref.ano(value);
				return;
			} catch (org.omg.CORBA.OBJECT_NOT_EXIST ex) {
				ref = factory.getObject(nombre);
				ano(value);
			}
		}
	}

}