DROP TABLE javi_biblioteca_libro;
DROP TABLE javi_biblioteca_editorial;
DROP TABLE javi_biblioteca_autor;


CREATE TABLE javi_biblioteca_libro (
	nombre text,
	autorLibro_nombre text CONSTRAINT fk_autorLibro_nombre REFERENCES javi_biblioteca_autor (nombre),
	autorLibro_apellidos text CONSTRAINT fk_autorLibro_apellidos REFERENCES javi_biblioteca_autor (apellidos),
	ano int4,
	CONSTRAINT pk_javi_biblioteca_libro PRIMARY KEY (nombre)
	);

CREATE TABLE javi_biblioteca_editorial (
	nombre text,
	direccion text,
	CONSTRAINT pk_javi_biblioteca_editorial PRIMARY KEY (nombre)
	);

CREATE TABLE javi_biblioteca_autor (
	nombre text,
	apellidos text,
	vivo bool,
	edad int2,
	CONSTRAINT pk_javi_biblioteca_autor PRIMARY KEY (nombre, apellidos)
	);
