package Centro;

import java.sql.*;
import java.util.*;

public class FactoriaComercioImpl extends _FactoriaComercioImplBase {
	public String[] listarComercios() {
		try {
			// Comienzo realizando la consulta de los comercios existentes
			ResultSet resultado = ConstantesServidor.consultas.executeQuery(
				"SELECT nombre FROM comercio;");

			// Consulta realizada
			
			Vector comercios = new Vector();

			// A continuacin tomo el nombre de todos los comercios
			while (resultado.next()) 
				comercios.add(resultado.getString("nombre"));

			Object aux[] = comercios.toArray();
		
			String aCom[] = new String[aux.length];

			for (int i=0;i<aux.length;i++)
				aCom[i]=(String)aux[i];
			
			// Devuelvo los comercios encontrados
			return aCom;
		} catch (SQLException ex) {
			ex.printStackTrace();
		} 
		return null;
	}

	public String direccionWeb(String nombre) {
		try {
			// Comienzo realizando la consulta del comercio pedido
			ResultSet resultado = ConstantesServidor.consultas.executeQuery(
				"SELECT direccionWeb FROM comercio WHERE nombre='" + nombre + "';");

			// Consulta realizada

			if (!resultado.next()) return null;

			// Devuelvo la direccin correspondiente			

			return resultado.getString("direccionWeb");

		} catch (SQLException ex) {
			ex.printStackTrace();
		} 
		return null;
	}

	public Producto[] listarProductos(String Comercio) {
		Producto listaProductos[] = {};
		
		try {
			// Comienzo realizando la consulta de los productos de este comercio
			ResultSet resultado = ConstantesServidor.consultas.executeQuery(
				"SELECT * FROM Producto WHERE idproducto IN (SELECT" + 
				" idproducto FROM comercio_producto WHERE nombre_comercio = '" +
				Comercio + "');");

			// Consulta realizada
			
			Vector productos = new Vector();

			// A continuacin tomo el nombre de todos los comercios
			while (resultado.next()) {
				// Hay que comprobar si ya existe el producto en el Servidor
				// de nombre, si existe tomo el existente, si no existe lo
				// creo y lo asocio en el servidor de nombres

				ProductoImpl nuevoProducto = new ProductoImpl(resultado.getLong("idproducto"),
					resultado.getString("nombre"), resultado.getLong("precio"),
					resultado.getString("caracteristicas"), resultado.getLong("preciooferta"));
				
				productos.add(nuevoProducto);
			}

			Object aux[] = productos.toArray();

			listaProductos = new Producto[aux.length];

			for (int i=0;i<aux.length;i++)
				listaProductos[i]=(Producto)aux[i];
			
			// Devuelvo los comercios encontrados
			return listaProductos;
		} catch (SQLException ex) {
			ex.printStackTrace();
		} 
		
		
		return listaProductos;
	}
}