package Centro;

import java.sql.*;
import org.omg.CORBA.*;

public class FactoriaSocioImpl extends _FactoriaSocioImplBase {

	public CarroCompra validarSocio(String id, String clave) {
		try {
			// Empieza la validacin
			ResultSet resultado = ConstantesServidor.consultas.executeQuery(
				"SELECT clave FROM socio WHERE idSocio='" + id + "';");

			// Consulta realizada

			// Lo primero compruebo que hay alguna fila en la tabla correspondiente
			// a este socio -> que est dado de alta
			if (! resultado.next()) {
				// No existe tal socio
				System.out.println("No ha devuelto ninguna fila");
				return null;
			}

			// Si el socio existe compruebo que la clave es correcta
			String claveVerdadera = resultado.getString("clave");
			if (!clave.equals(claveVerdadera)) {
				System.out.println("Clave erronea, introducida: " + clave + " devera ser: " + claveVerdadera);
				// La clave no es correcta
				return null;
			}

			// Tras la validacin creo un carro de la compra para este socio
			CarroCompraImpl carro = new CarroCompraImpl();
			String args[] = {};
			ORB orb = ORB.init(args, null);
			orb.connect(carro);

			// Creo el socio que estar asociado al carro
			SocioImpl socio = new SocioImpl();
			socio.idSocio(id);
			socio.clave(clave);

			// Asocio el socio al carro
			carro.refInternauta(socio);

			// Devuelvo el carro de la compra
			return carro;
		} catch (SQLException ex) {
			ex.printStackTrace();
		}
		return null;
	}

	public int altaSocio(String idSocio, String clave, String nombre, String apellido1, String apellido2, String telefono, String correoElectronico, String numeroCuenta, String direccion) {
		try {
			return ConstantesServidor.consultas.executeUpdate(
				"INSERT INTO Socio VALUES ('" + idSocio + "','" + clave + "','" + nombre + "','" + apellido1 + "','" + apellido2 + "','" + telefono + "','" + correoElectronico + "','" + numeroCuenta + "','" + direccion + "');");
		} catch (Exception ex) {
			ex.printStackTrace();
			return 0;
		}

	}

}