package Centro;

import org.omg.CORBA.*;
import org.omg.CosNaming.*;

public class ConstantesCliente {
	static NamingContext obtenerNamingContextCentro(java.applet.Applet ap) {
		// Creo un nuevo ORB

		//ORB orb = ORB.init(ap, null);
		String args[] = {};
		ORB orb= ORB.init(args,null);
 
		// En primer lugar obtengo el contexto raz
		NamingContext rootContext=null;
		try {
			org.omg.CORBA.Object objRef = 
				orb.resolve_initial_references("NameService");
	    		rootContext = NamingContextHelper.narrow(objRef);
		} catch (org.omg.CORBA.ORBPackage.InvalidName ex) {
			System.err.println("Error, no se encuentra el servicio de nombres");
		}
		
	NamingContext centroNamingContext=null;

	try {

		// A continuacin me voy a meter por la rama del CentroVirtual
		NameComponent centroContext[] = new NameComponent[1];

		centroContext[0] = new NameComponent("CentroVirtual", "");

      		try {
			// Pruebo a ver si existe
        		centroNamingContext = NamingContextHelper.narrow(rootContext.resolve(centroContext));
      		} catch (org.omg.CosNaming.NamingContextPackage.NotFound ex) {
			// Si no existe error
			System.err.println("Error, no hay ningn Centro Virtual funcionando");
      		}


	} catch (org.omg.CORBA.UserException ex) {
		System.err.println("Excepcin no esperada, finalizacin anormal");
		ex.printStackTrace();
	}
	return centroNamingContext;

	}
}