package Centro;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
//import com.sun.java.swing.*;
import java.net.*;
import org.omg.CORBA.*;
import org.omg.CosNaming.*;

//import com.sun.java.swing.UIManager;
public class IdentificaSocio extends JApplet {
  boolean isStandalone = false;
  JLabel jLabel1 = new JLabel();
  JLabel jLabel2 = new JLabel();
  JTextField jTextField1 = new JTextField();
  JPasswordField jPasswordField1 = new JPasswordField();
  JButton jButton1 = new JButton();
//Get a parameter value
  
  public String getParameter(String key, String def) {
    return isStandalone ? System.getProperty(key, def) :
      (getParameter(key) != null ? getParameter(key) : def);
  }

  //Construct the applet
  
  public IdentificaSocio() {
  }
//Initialize the applet
  
  public void init() {
    try {
    jbInit();
    }
    catch (Exception e) {
    e.printStackTrace();
    }
  }
  //static { 
  //  try { 
  //    //UIManager.setLookAndFeel(new com.sun.java.swing.plaf.metal.MetalLookAndFeel());
  //    //UIManager.setLookAndFeel(new com.sun.java.swing.plaf.motif.MotifLookAndFeel());
  //    UIManager.setLookAndFeel(new com.sun.java.swing.plaf.windows.WindowsLookAndFeel());
  //  }
  //  catch (Exception e) {}
  //}
//Component initialization
  
  private void jbInit() throws Exception {
    jLabel1.setText("Identificador de socio:");
    jLabel1.setBounds(new Rectangle(56, 33, 132, 26));
    jLabel2.setText("Clave:");
    jLabel2.setBounds(new Rectangle(56, 103, 61, 28));
    jTextField1.setBounds(new Rectangle(86, 63, 161, 27));
    jPasswordField1.setBounds(new Rectangle(86, 145, 161, 27));
    jButton1.setText("Aceptar");
    jButton1.setBounds(new Rectangle(123, 212, 101, 33));
    jButton1.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton1_actionPerformed(e);
      }
    });
    this.getContentPane().setLayout(null);
    this.setSize(400,300);
    this.getContentPane().add(jLabel1, null);
    this.getContentPane().add(jLabel2, null);
    this.getContentPane().add(jTextField1, null);
    this.getContentPane().add(jPasswordField1, null);
    this.getContentPane().add(jButton1, null);
  }
//Get Applet information
  
  public String getAppletInfo() {
    return "Applet Information";
  }
//Get parameter info
  
  public String[][] getParameterInfo() {
    return null;
  }

  void jButton1_actionPerformed(ActionEvent e) {
    //Codigo para el botn Aceptar

	// Se debe comprobar la validez del socio, y en caso de error
	// indicarlo.

	// Si el socio es vlido pasaremos a utilizar CGI para llevar
	// el socio y el carro de la compra actuales
	
	// En primer lugar se crear un nuevo objeto (CarroCompra) en el servidor
	// que llevar el socio (o internauta en su caso) y los productos
	// comprados. El OID del objeto se pasar de pgina en pgina
	// utilizando un URL :  http://servidor/pagina.html?datoscomoenCGI
	// El CGI en perl crear una nueva pgina donde el applet tenga
	// como parmetro el OID del objeto (CarroCompra).

	FactoriaSocio factoria=null;

	try {
		NameComponent factoriaName[] = new NameComponent[1];
		factoriaName[0]=new NameComponent("FactoriaSocio","");
		org.omg.CORBA.Object factoriaObj = ConstantesCliente.obtenerNamingContextCentro(this).resolve(factoriaName);
		factoria = FactoriaSocioHelper.narrow(factoriaObj);
	} catch (org.omg.CORBA.UserException ex) {
		System.err.println("Excepcin no esperada, finalizacin anormal");
		ex.printStackTrace();
	}
		
	CarroCompra carro = factoria.validarSocio(jTextField1.getText(),String.valueOf(jPasswordField1.getPassword()));

	try {
		if (carro==null) 
			getAppletContext().showDocument(new URL(getCodeBase().toString()+"ErrorSocio.html"));
		else {
			String args[] = {};
			ORB orb = ORB.init(args, null);

			getAppletContext().showDocument(new URL("http://" + getCodeBase().getHost()+"/cgi-bin/SeleccionCentro.cgi?" + orb.object_to_string(carro)));

		}
	} catch (MalformedURLException ex) {
		ex.printStackTrace();
	}
  }

}

 