package Centro;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
//import com.sun.java.swing.*;
import javax.swing.*;
import javax.swing.table.*;
import org.omg.CosNaming.*;
import org.omg.CORBA.ORB;
import java.net.*;
import Centro.CarroCompraPackage.*;


//import com.sun.java.swing.UIManager;
public class JCarroCompra extends JApplet {
  boolean isStandalone = false;
  String IOR;
//Get a parameter value
  JTable tablaProductos = new JTable();
  JLabel jLabel1 = new JLabel();
	FactoriaComercio factoria=null;
	Producto productos[];
	int cantidades[];
	int cantidadesAnteriores[];
	String comercios[];
  JButton jButton1 = new JButton();
  JButton jButton2 = new JButton();
  JTextField textoBuscar = new JTextField();
  JButton jButton3 = new JButton();
  
  public String getParameter(String key, String def) {
    return isStandalone ? System.getProperty(key, def) :
      (getParameter(key) != null ? getParameter(key) : def);
  }

  //Construct the applet
  
  public JCarroCompra() {
  }
//Initialize the applet
  
  public void init() {
    try { IOR = this.getParameter("IOR", ""); } catch (Exception e) { e.printStackTrace(); }
    try {
    jbInit();
    }
    catch (Exception e) {
    e.printStackTrace();
    }
  }
  //static { 
  //  try { 
  //    //UIManager.setLookAndFeel(new com.sun.java.swing.plaf.metal.MetalLookAndFeel());
  //    //UIManager.setLookAndFeel(new com.sun.java.swing.plaf.motif.MotifLookAndFeel());
  //    UIManager.setLookAndFeel(new com.sun.java.swing.plaf.windows.WindowsLookAndFeel());
  //  }
  //  catch (Exception e) {}
  //}
//Component initialization
  
  private void jbInit() throws Exception {
    this.getContentPane().setLayout(null);
    this.setSize(650,300);
    tablaProductos.setBounds(new Rectangle(34, 77, 456, 156));

	String args[] = {};
	ORB orb= ORB.init(args,null);
	
	org.omg.CORBA.Object objCarro = orb.string_to_object(IOR);
	CarroCompra carro = CarroCompraHelper.narrow(objCarro);
		
	ListaProductosHolder productosH = new ListaProductosHolder();
	ListaCantidadHolder cantidadesH = new ListaCantidadHolder();
	ListaComerciosHolder comerciosH = new ListaComerciosHolder();

	carro.listarProductos(productosH,cantidadesH,comerciosH);

	productos = productosH.value;
	cantidades = cantidadesH.value;
	comercios = comerciosH.value;

	cantidadesAnteriores = (int[]) cantidades.clone();

	ContenidoTablaProductos contenidoTablaProductos = new ContenidoTablaProductos();
	tablaProductos.setModel(contenidoTablaProductos);
    jLabel1.setText("Este es su carro actual:");
    jLabel1.setBounds(new Rectangle(25, 21, 228, 30));
    jButton1.setText("Aceptar");
    jButton1.setBounds(new Rectangle(77, 262, 81, 23));
    jButton1.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton1_actionPerformed(e);
      }
    });
    jButton2.setText("Cancelar");
    jButton2.setBounds(new Rectangle(210, 261, 93, 23));
    jButton2.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton2_actionPerformed(e);
      }
    });
    textoBuscar.setText("");
    textoBuscar.setBounds(new Rectangle(500, 84, 100, 22));
    jButton3.setText("Buscar");
    jButton3.setBounds(new Rectangle(509, 129, 81, 23));
    jButton3.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton3_actionPerformed(e);
      }
    });
    this.getContentPane().add(tablaProductos, null);
    this.getContentPane().add(jLabel1, null);
    this.getContentPane().add(jButton1, null);
    this.getContentPane().add(jButton2, null);
    this.getContentPane().add(textoBuscar, null);
    this.getContentPane().add(jButton3, null);

  }
//Get Applet information
  
  public String getAppletInfo() {
    return "Applet Information";
  }
//Get parameter info
  
  public String[][] getParameterInfo() {
    String pinfo[][] = 
    {
      {"IOR", "String", ""},
    };
    return pinfo;
  }

  void jButton3_actionPerformed(ActionEvent e) {
    // Boton buscar
	for (int i=0; i<productos.length; i++) {
		if (productos[i].nombre().toUpperCase().equals(textoBuscar.getText().toUpperCase())) {
			tablaProductos.setRowSelectionInterval(i+1,i+1);
			break;
		}
	}
  }

  void jButton1_actionPerformed(ActionEvent e) {
    // Boton Aceptar

	tablaProductos.editCellAt(0,4);

	String args[] = {};
	ORB orb= ORB.init(args,null);
	
	org.omg.CORBA.Object objCarro = orb.string_to_object(IOR);
	CarroCompra carro = CarroCompraHelper.narrow(objCarro);
	
	for (int i=0; i<cantidades.length; i++) {
		if (cantidades[i]!=cantidadesAnteriores[i]);
			carro.cambiarCantidad(productos[i],comercios[i],cantidades[i]);
	}

	try {
		getAppletContext().showDocument(new URL("http://" + getCodeBase().getHost()+"/cgi-bin/SeleccionCentro.cgi?" + IOR));
	} catch (MalformedURLException ex) {}
  }

  void jButton2_actionPerformed(ActionEvent e) {
    // Boton Cancelar

	try {
		getAppletContext().showDocument(new URL("http://" + getCodeBase().getHost()+"/cgi-bin/SeleccionCentro.cgi?" + IOR));
	} catch (MalformedURLException ex) {}  
  }

	class ContenidoTablaProductos extends AbstractTableModel {
		public int getRowCount() {
			return productos.length + 1;
		}

		public int getColumnCount() {
			return 6;
		}

		public Object getValueAt(int row, int column) {
			// Listar los elementos de la variable productos
			if (row==0) {
				switch (column) {
					case 0: return "Nombre";
					case 1: return "Precio";
					case 2: return "Caractersticas";
					case 3: return "Precio Socios";
					case 4: return "Cantidad";
					case 5: return "Comercio";
				}
			}
			else {
				switch (column) {
					case 0: return productos[row-1].nombre();
					case 1: return String.valueOf(productos[row-1].precio());
					case 2: return productos[row-1].caracteristicas();
					case 3: return String.valueOf(productos[row-1].precioOferta());
					case 4: return String.valueOf(cantidades[row-1]);
					case 5: return comercios[row-1];
				}
			}
			return "0";
		}

		 
		public void  setValueAt(Object aValue, int rowIndex, int columnIndex) {
			if (columnIndex==4 && rowIndex>0) {
				try {
					cantidades[rowIndex-1] = Integer.parseInt((String)aValue);
				} catch (ClassCastException ex) {
					cantidades[rowIndex-1] = 0;
				} catch (NumberFormatException ex) {
					cantidades[rowIndex-1] = 0;
				}
			}
		}           


		public boolean isCellEditable(int row, int column) {
			return column==4 && row>0;
		}

		public String  getColumnName(int columnIndex) {
			switch (columnIndex) {
				case 0: return "Nombre";
				case 1: return "Precio";
				case 2: return "Caractersticas";
				case 3: return "Precio Socios";
				case 4: return "Cantidad";
				case 5: return "Comercio";
			}
			return "";
		}
  
	}

}

 