package TicTacToe;

import TicTacToe.*;
import org.omg.CosNaming.*;
import java.io.*;

public class JugadorImpl extends _JugadorImplBase {
	private boolean meToca;
	private ficha[][] tablero;
	private Juego juego;
	private estadoJugador estado;
	private ficha usada;
	private JugadorInter jugador;

	public JugadorImpl(org.omg.CORBA.ORB orb,JugadorInter jug)
		throws TicTacToe.YaHayDosJugadores {
		
		super();

		fichaHolder fh=new fichaHolder();
		meToca=false;
	   try {
		File ficheroEntrada = new File("D:\\Java\\IOR.txt");
		FileReader entrada = new FileReader( ficheroEntrada);
		char IOR[] = new char[(int)ficheroEntrada.length()];
		if (entrada.read(IOR,0, IOR.length)<ficheroEntrada.length()) {
			System.err.println("No se ha podido leer el IOR");
		}
		org.omg.CORBA.Object objJuego = orb.string_to_object(new String(IOR));
		juego = JuegoHelper.narrow(objJuego);

		tablero=juego.anadirJugador(this,fh);
	   } catch (Exception ex) {
		System.err.println("Error al conectar con el servidor");
	   }

		usada=fh.value;
		estado=estadoJugador.jugando;
		jugador=jug;
	}
	
	// oneway void turno(in tablero tab);
	public void turno(boolean es,ficha[][] tab) {
		tablero=tab;
		meToca=es;
		jugador.estadoCambiado(estado,meToca);
	}

	//readonly attribute boolean meToca;
	public boolean meToca() {
		return meToca;
	}

	//readonly attribute estadoJugador estado;
	public estadoJugador estado() {
		return estado;
	}

	//readonly attribute tablero tab;
	public ficha[][] tab() {
		return tablero;
	}

	//oneway void fin(in boolean victoria, in boolean tablas, in tablero tab);
	public void fin(boolean victoria, boolean tablas,ficha[][] tab) {
		if (victoria)
			estado=estadoJugador.victoria;
		else if (tablas)
			estado=estadoJugador.tablas;
		else
			estado=estadoJugador.derrota;
		tablero=tab;
		jugador.estadoCambiado(estado,meToca);
	}

	//void ponerFicha(in short x, in short y)
		//raises(ErrorEnServidor,CasillaOcupada);
	public void ponerFicha(short x,short y)
		throws TicTacToe.ErrorEnServidor, CasillaOcupada {

		try {
			tablero=juego.ponerFicha(this,x,y);
		} catch (TicTacToe.JugadorInvalido e) {
			throw new TicTacToe.ErrorEnServidor();
		}
	}

	//readonly attribute ficha usada;
	public ficha usada() {
		return usada;
	}
}
