package javi.biblioteca;
public class Safeautor {
	public autor ref;
	private autorFactory factory;
	private String nombre;
	private String apellidos;

	public Safeautor(autorFactory factory, String nombre, String apellidos, boolean vivo, short edad) {
		this.factory = factory;
		this.nombre = nombre;
		this.apellidos = apellidos;
		ref = factory.getObject(nombre, apellidos);
		vivo(vivo);
		edad(edad);
	}

	public Safeautor(autorFactory factory, String nombre, String apellidos) {
		this.factory = factory;
		this.nombre = nombre;
		this.apellidos = apellidos;
		ref = factory.getObject(nombre, apellidos);
	}

	public Safeautor(autorFactory factory, autor ref) {
		this.factory = factory;
		this.ref = ref;
		this.nombre = nombre();
		this.apellidos = apellidos();
	}

	public String nombre() {
		while (true) {
			try {
				return ref.nombre();
			} catch (org.omg.CORBA.OBJECT_NOT_EXIST ex) {
				ref = factory.getObject(nombre, apellidos);
			}
		}
	}

	public String apellidos() {
		while (true) {
			try {
				return ref.apellidos();
			} catch (org.omg.CORBA.OBJECT_NOT_EXIST ex) {
				ref = factory.getObject(nombre, apellidos);
			}
		}
	}

	public boolean vivo() {
		while (true) {
			try {
				return ref.vivo();
			} catch (org.omg.CORBA.OBJECT_NOT_EXIST ex) {
				ref = factory.getObject(nombre, apellidos);
			}
		}
	}

	public void vivo( boolean value) {
		while (true) {
			try {
				ref.vivo(value);
				return;
			} catch (org.omg.CORBA.OBJECT_NOT_EXIST ex) {
				ref = factory.getObject(nombre, apellidos);
				vivo(value);
			}
		}
	}

	public short edad() {
		while (true) {
			try {
				return ref.edad();
			} catch (org.omg.CORBA.OBJECT_NOT_EXIST ex) {
				ref = factory.getObject(nombre, apellidos);
			}
		}
	}

	public void edad( short value) {
		while (true) {
			try {
				ref.edad(value);
				return;
			} catch (org.omg.CORBA.OBJECT_NOT_EXIST ex) {
				ref = factory.getObject(nombre, apellidos);
				edad(value);
			}
		}
	}

}