package javi.biblioteca;
import java.util.Vector;

public class autorFactoryImpl extends _autorFactoryImplBase {
	private org.omg.CORBA.ORB orb;
	private autorOA oa;
	private dbcollection.AbstractFactory af;

	public autorFactoryImpl(org.omg.CORBA.ORB orb) {
		super();
		this.orb = orb;
		af = new dbcollection.AbstractFactory(orb, oa = new autorOA());
	}

	public autor getObject( String nombre, String apellidos) {
		Vector key = new Vector();
		key.add( nombre);
		key.add( apellidos);
		return (autor)(af.getObject(key));
	}

	public void remove( String nombre, String apellidos) {
		Vector key = new Vector();
		key.add( nombre);
		key.add( apellidos);
		af.remove(key);
	}

	public boolean exists( String nombre, String apellidos) {
		Vector key = new Vector();
		key.add( nombre);
		key.add( apellidos);
		return af.exists(key);
	}

	public autorIterator list(String cond) {
		return new autorIteratorImpl(af,oa,cond,this,orb);
	}

	public void finalize() {
		af.finalize();
	}
}