package javi.biblioteca;
import java.util.Vector;

public class editorialFactoryImpl extends _editorialFactoryImplBase {
	private org.omg.CORBA.ORB orb;
	private editorialOA oa;
	private dbcollection.AbstractFactory af;

	public editorialFactoryImpl(org.omg.CORBA.ORB orb) {
		super();
		this.orb = orb;
		af = new dbcollection.AbstractFactory(orb, oa = new editorialOA());
	}

	public editorial getObject( String nombre) {
		Vector key = new Vector();
		key.add( nombre);
		return (editorial)(af.getObject(key));
	}

	public void remove( String nombre) {
		Vector key = new Vector();
		key.add( nombre);
		af.remove(key);
	}

	public boolean exists( String nombre) {
		Vector key = new Vector();
		key.add( nombre);
		return af.exists(key);
	}

	public editorialIterator list(String cond) {
		return new editorialIteratorImpl(af,oa,cond,this,orb);
	}

	public void finalize() {
		af.finalize();
	}
}