package javi.biblioteca;
import java.util.Vector;

public class libroFactoryImpl extends _libroFactoryImplBase {
	private org.omg.CORBA.ORB orb;
	private libroOA oa;
	private dbcollection.AbstractFactory af;

	public libroFactoryImpl(org.omg.CORBA.ORB orb) {
		super();
		this.orb = orb;
		af = new dbcollection.AbstractFactory(orb, oa = new libroOA());
	}

	public libro getObject( String nombre) {
		Vector key = new Vector();
		key.add( nombre);
		return (libro)(af.getObject(key));
	}

	public void remove( String nombre) {
		Vector key = new Vector();
		key.add( nombre);
		af.remove(key);
	}

	public boolean exists( String nombre) {
		Vector key = new Vector();
		key.add( nombre);
		return af.exists(key);
	}

	public libroIterator list(String cond) {
		return new libroIteratorImpl(af,oa,cond,this,orb);
	}

	public void finalize() {
		af.finalize();
	}
}