package dbcollection;

/**
 * Define el interfaz para los objetos que son sensibles al cambio,
 * como lo son aquellos objetos CORBA que representan objetos relacionales
 */
public interface ChangeSensible
{
    /**
     * Metodo que indica el cambio 
     * @return true si el objeto ha cambiado en alguno de sus datos internos
     */
    public boolean changed();
}
