	#include "interfaz.h"
	#include <stl.h>
	#include "idltobd.tab.h"
	#include <string.h>
	#include <iostream.h>
	extern int linea;

digito [0-9]
letra [a-zA-Z]

%%

[ \t]+		;
[\n]		linea++;
";"		return ';';
"{"		return '{';
"}"		return '}';
":"		return ':';
","		return ',';
"::"		return DOSDOSPUNTOS;

module		return MODULE;
interface	return INTERFACE;
attribute	return ATTRIBUTE;
readonly	return READONLY;
float		return FLOAT;
double		return DOUBLE;
long		return LONG;
short		return SHORT;
unsigned	return UNSIGNED;
char		return CHAR;
wchar		return WCHAR;
boolean		return BOOLEAN;
Object		return OBJECT;
string		return STRING;
wstring		return WSTRING;

{letra}({letra}|{digito})*	{ 
				yylval.cadena = new char[strlen(yytext)+1];
				strcpy(yylval.cadena,yytext); 
				return IDENTIFIER;}

.		cout << "ERROR Lexico en linea " << linea << endl;

%%


